'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OrderHandler = exports.Item = exports.Gridifier = undefined;

var _item = require('./item');

Object.defineProperty(exports, 'Item', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_item).default;
  }
});

var _orderHandler = require('../order-handler');

Object.defineProperty(exports, 'OrderHandler', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_orderHandler).default;
  }
});

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class MaterializeGridifier extends _index.Gridifier {
  render() {
    const className = (0, _classnames2.default)(this.props.itemBackgrounds ? 'row rg-item-backgrounds rg-grid' : 'row rg-grid', this.props.className);
    return _react2.default.createElement(
      'div',
      { ref: 'grid', className: className },
      this.props.children
    );
  }
}

exports.default = MaterializeGridifier;
exports.Gridifier = MaterializeGridifier;